using System;
using System.Collections.Generic;
using System.Drawing;
using System.Text;

namespace nft.ui.mainframe_old {
    public interface IToolWindow {
        void Activate();
        bool IsActive();
        void TryClose();
        bool Visible { get; }
        bool Docking { get; }
        Size ClientAreaSize { get; }
        Object UIObject { get; }
        Object Controller { get; set; } // TODO define controller interface
    }

    public class WinFormToolWindow {

    }
}
